lp:~network-manager/network-manager/openvpn-ubuntu.head

Created by Tony Espy on 2009-08-21 and last modified on 2011-09-09
Get this branch:
bzr branch lp:~network-manager/network-manager/openvpn-ubuntu.head
Members of Network-manager can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Network-manager
Project:
NetworkManager
Status:
Development

Recent revisions

54. By Mathieu Trudel-Lapierre on 2011-09-09

* debian/control:
  - Bump NM Build-Depends to >= 0.9.
  - Replace Recommends for network-manager-openvpn-kde with
    plasma-widget-networkmanagement.

53. By Mathieu Trudel-Lapierre on 2011-09-09

* New upstream release 0.9.0. (LP: #846037)
  - ui: fix gtk_builder_set_translation_domain() calling
  - build: fix handling of GTK requirement if none was given
  - properties: add password type combo
  - properties: update builder .ui file
  - auth-dialog: use a simplified password request dialog
  - common-gnome: remove unused keyring stuff
  - auth-dialog: simplify keyring access and don't save secrets
  - properties: remove dead code and simplify password widget setup
  - properties: preserve secret flags and consolidate secrets handling
  - auth-dialog: use gtk_box_new() instead of gtk_(h/v)box_new()
  - core: add RSA-MD4 HMAC digest algorithm
  - auth-dialog: ensure saved secrets are passed back to NM

52. By Mathieu Trudel-Lapierre on 2011-09-09

* Merge with Debian experimental; remaining changes:
  - debian/control:
    + bump network-manager-openvpn-gnome Breaks and Replaces of n-m-openvpn
      to (<< 0.8.999-1ubuntu1).
    + add Recommends to network-manager-openvpn for n-m-openvpn-gnome or
      n-m-openvpn-kde
* debian/rules: remove --gtk-ver=2 for configure, to build with GTK3.
* debian/control: bump Build-Depends for GTK to libgtk-3-dev (>= 3.0.0).
* New upstream release (0.9 rc2).
* New upstream release.
* debian/control
  - Bump Build-Depends on libnm-*-dev and network-manager-dev to
    (>= 0.8.998).
  - Bump Build-Depends on libgtk2.0-dev to (>= 2.20).
* debian/rules
  - Build against GTK+ version 2.
* New upstream release.
* debian/control
  - Bump Build-Depends on libnm-*-dev and network-manager-dev to (>= 0.8.4).
  - Bump Standards-Version to 3.9.2. No further changes.
  - Update package descriptions.
* debian/watch
  - Switch to bzip2.
* New upstream release (0.8.4 beta1).
* Bump debhelper compatibility level to 8.
* debian/control
  - Drop Build-Depends on libglade2-dev, converted to GtkBuilder.
  - Bump Build-Depends on libnm-*-dev and network-manager-dev to
    (>= 0.8.3.995).
* Upload to unstable.
* Switch from cdbs to dh
  - Drop Build-Depends on cdbs.
  - Bump Build-Depends on debhelper to (>= 7.0.50~) for override targets.
  - Convert debian/rules to use dh.
  - Rename debian/docs to debian/network-manager-openvpn.docs so it is
    correctly picked up by dh_installdocs.
* New upstream release.
* Update Vcs-* fields: Move packaging from svn to git.
* debian/control
  - Bump Build-Depends on libnm-* packages to (>= 0.8.2).
* New upstream release.
* Switch to source format 3.0 (quilt).
  - Add debian/source/format.
  - Drop Build-Depends on quilt.
  - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk from debian/rules.
  - Remove debian/README.source.
* debian/control
  - Bump Build-Depends on libnm-* packages to (>= 0.8.1).
  - Bump Standards-Version to 3.9.1. Use Breaks instead of Conflicts as
    recommended by the new policy.
* New upstream release.
* debian/control
  - Bump Build-Depends on libnm-* packages to (>= 0.8).
  - Bump Standards-Version to 3.8.4. No further changes.
* debian/network-manager-openvpn-gnome.install
  - Remove .desktop file and icons, no longer installed upstream.
* Upload to unstable.
* New upstream release (0.8 RC3).
* debian/control
  - Bump Build-Depends on libnm-* packages to (>= 0.7.999).
  - Bump Build-Depends on libdbus-glib-1-dev to (>= 0.74).
* debian/patches/03_allow_servercert_override.diff
  - Drop, does no longer apply and has been disabled for quite a while.
[ Soren Hansen ]
* Remove myself from Uploaders.
[ Michael Biebl ]
* New upstream release.
* debian/control
  - Bump build dependencies on nm packages to (>= 0.7.2).
  - Bump Standards-Version to 3.8.3. No further changes.
* New upstream release.
* Bump Standards-Version to 3.8.1. No further changes.
* New upstream release (0.7.1 rc3).
* New upstream release.
* debian/patches/01_dbus_policy.patch
  - Removed, merged upstream.
* debian/control
  - Drop libgnomeui-dev from Build-Depends, no longer required.
* debian/control
  - Wrap build dependencies.
  - Bump build dependency on debhelper to (>= 7).
* debian/compat
  - Bump to debhelper v7 compat mode.
* debian/patches/01_dbus_policy.patch
  - Remove bare send_interface. (Closes: #510730)
* debian/rules
  - Include gnome.mk cdbs class instead of autotools.mk.
* New upstream release.
* debian/control
  - Add Vcs-* fields pointing to the Subversion repository of the package.
  - Bump Standards-Version to 3.8.0. Add REAME.source as recommended by the
    new policy.
  - Fix GNOME spelling error in the package description.
  - Set Utopia Maintenance Team as Maintainer, add myself and Soren to
    Uploaders.
  - Add Homepage: field.
  - Update build dependencies.
  - Bump dependency on openvpn to (>= 2.1~rc9) for the --script-security
    option.
* debian/rules
  - Do not run autogen.sh, the upstream tarball contains a proper build
    system now.
  - Install plugins into /usr/lib/NetworkManager, so NetworkManager can find
    them.
* debian/*.install
  - Update accordingly.
* Switch patch management system to quilt.
* Drop obsolete patches
  - debian/patches/01_fix_dbus_signal_name.diff
  - debian/patches/02_fix_wrong_awk_path.diff
  - debian/patches/07_nm-openvpn-server-name.diff
* Disable patches which do not apply cleanly anymore
  - debian/patches/03_allow_servercert_override.diff
  - debian/patches/04_increase_timeout.diff
  - debian/patches/06_pull_dns_domain.diff
* debian/network-manager-openvpn.postinst
  - Do no longer restart NetworkManager, only tell dbus to reload the config
    files.
* debian/watch
  - Add watch file which allows to track new upstream releases.
* debian/copyright
  - Revised and updated.

51. By Mathieu Trudel-Lapierre on 2010-10-19

releasing version 0.8.1+git.20100810t173015.1711d04-0ubuntu2

50. By Mathieu Trudel-Lapierre on 2010-10-19

* Correct the import mechanism to properly handle importing the comp-lzo,
  mssfix and auth parameters which expected an extra space that isn't always
  in an imported config (LP: #655124)
  - add debian/patches/00git-lp655124-import-extra-spaces-5e7a5ab.patch
  - update debian/patches/series

49. By Mathieu Trudel-Lapierre on 2010-08-11

releasing version 0.8.1+git.20100810t173015.1711d04-0ubuntu1

48. By Mathieu Trudel-Lapierre on 2010-08-11

* bump network-manager-dev, libnm-glib-dev, libnm-util-dev Build-Depends
  to >= 0.8.1
  - update debian/control

47. By Mathieu Trudel-Lapierre on 2010-08-11

* upstream snapshot 2010-08-10 17:30:15 (GMT)
  + 1711d04b1893fdb5763ce69561a2e6235a51e251

46. By Mathieu Trudel-Lapierre on 2010-05-11

Releasing version 0.8-0ubuntu3.

(merge lp:~mathieu-tl/network-manager/nm-openvpn-0ubuntu3)
* Recommends network-manager-openvpn-kde instead of network-manager-kde
  - Closes LP: #562985

45. By Mathieu Trudel-Lapierre on 2010-04-09

releasing version 0.8-0ubuntu2

Branch metadata

Branch format:
Branch format 6
Repository format:
Bazaar pack repository format 1 with rich root (needs bzr 1.0)
This branch contains Public information 
Everyone can see this information.